//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DomainModel.Entities
{
    using System.ComponentModel.DataAnnotations;
    using System;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Collections.Generic;

    public partial class UserModel
    {

        private UserModel()
        {

        }
        public UserModel(string userName, string passWord,
                         string firstName, string lastName, string mobileNo)
        {
            UserName = userName;
            PassWord = passWord;
            FirstName = firstName;
            LastName = lastName;
            MobileNo = mobileNo;
        }
        public int UserID { get; private set; }
        public string UserName { get; private set; }
        public string PassWord { get; private set; }
        public string FirstName { get; private set; }
        public string LastName { get; private set; }
        public string MobileNo { get; private set; }
        public List<Role> Roles { get; private set; }

    }

    public class Role
    {
        public int Id { get; set; }
        public string Name { get; set; }
    }
}
